HFST-LEXC(1)

NAME
hfst-lexc - =Compile lexc files into transducer

SYNOPSIS
hfst-lexc [OPTIONS...] [INFILE1...]]

DESCRIPTION
Compile lexc files into transducer

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-f, --format=FORMAT
    compile into FORMAT transducer

-o, --output=OUTFILE
    write result into OUTFILE

  Lexc options:

-A, --alignStrings
    align characters in input and output strings

-E, --encode-weights
    encode weights when minimizing (default is false)

-F, --withFlags
    use flags to hyperminimize result

-M, --minimizeFlags
    if --withFlags is used, minimize the number of flags

-R, --renameFlags
    if --withFlags and --minimizeFlags are used, rename flags (for testing)

-x, --xerox-composition=VALUE Whether flag diacritics are treated as ordinary
    symbols in composition (default is true).

-X, --xfst=VARIABLE
    toggle xfst compatibility option VARIABLE.

-W, --Werror
    treat warnings as errors

If INFILE or OUTFILE are omitted or -, standard streams will be used The possible values for FORMAT are { sfst, openfst-tropical, openfst-log, foma, optimized-lookup-unweighted, optimized-lookup-weighted }. VALUEs recognized are {true,ON,yes} and {false,OFF,no}. Xfst variables are {flag-is-epsilon (default OFF)}.

EXAMPLES

hfst-lexc -o cat.hfst cat.lexc
    Compile single-file lexicon

hfst-lexc -o L.hfst Root.lexc 2.lexc 3.lexc
    Compile multi-file lexicon

  Using weights:

    LEXICON Root cat # "weight: 2" ; Define weight for a word <[dog::1]+> # ; Use weights in regular expressions

Using weights has an effect only if FORMAT is weighted, i.e. { openfst-tropical, openfst-log, optimized-lookup-weighted }.

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-lexc home page: <https://github.com/hfst/hfst/wiki/HfstLexc>
General help using HFST software: <https://github.com/hfst/hfst/wiki>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.